Set project access for a team member by request body (admin only)
const url = 'https://example.com/api/team/members/project-access';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"userId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","project_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"projectIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"mode":"all","billingAccountId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/team/members/project-access \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "project_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "projectIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "mode": "all", "billingAccountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Responses
Section titled “ Responses ”Project access updated
object
Invalid request
object
Human-readable error message
Stable machine-readable error code for client branching
First validation message per field path
object
Structured validation issues (Zod)
object
Seconds until rate limit resets (429 responses)
Not authenticated
object
Human-readable error message
Stable machine-readable error code for client branching
First validation message per field path
object
Structured validation issues (Zod)
object
Seconds until rate limit resets (429 responses)
True if re-linking GitHub may fix the issue
Forbidden
object
Human-readable error message
Stable machine-readable error code for client branching
First validation message per field path
object
Structured validation issues (Zod)
object
Seconds until rate limit resets (429 responses)
Multiple billing accounts; pass billingAccountId.